## com.bbn.openmap.layer.util.html
Class StringElement

    java.lang.Object
      com.bbn.openmap.layer.util.html.StringElement

All Implemented Interfaces:
  Element

public class StringElement
extends java.lang.Object
implements Element

Field Summary
`protected java.lang.String` `s` the string value that we are

Constructor Summary
`StringElement(java.lang.String s)` Construct a new StringElement with a string literal

Method Summary
`void` `generate(java.io.Writer out)` convert representation to html and write it out

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### s

    protected java.lang.String s

  the string value that we are

Constructor Detail

### StringElement

    public StringElement(java.lang.String s)

  Construct a new StringElement with a string literal

Parameters:
  `s` - the string to use

Method Detail

### generate

    public void generate(java.io.Writer out)
                  throws java.io.IOException

  convert representation to html and write it out

  Specified by:
    `generate` in interface `Element`
  Parameters:
    `out` - the output Writer
  Throws:
    `java.io.IOException` - an IO error occurred accessing out

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details